Save the scene plan
curl --request PUT \
--url https://lavendly.ai/api/v1/workflows/{id}/scene-plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"scenes": {}
}'import requests
url = "https://lavendly.ai/api/v1/workflows/{id}/scene-plan"
payload = { "scenes": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scenes: {}})
};
fetch('https://lavendly.ai/api/v1/workflows/{id}/scene-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lavendly.ai/api/v1/workflows/{id}/scene-plan",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'scenes' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lavendly.ai/api/v1/workflows/{id}/scene-plan"
payload := strings.NewReader("{\n \"scenes\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://lavendly.ai/api/v1/workflows/{id}/scene-plan")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scenes\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lavendly.ai/api/v1/workflows/{id}/scene-plan")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scenes\": {}\n}"
response = http.request(request)
puts response.read_body{
"workflow_id": "<string>",
"version": 123,
"scenes": {}
}{
"error": {
"code": "invalid_args",
"message": "..."
}
}{
"error": {
"code": "unauthenticated",
"message": "..."
}
}{
"error": {
"code": "viewer_read_only",
"message": "..."
}
}{
"error": {
"code": "workflow_not_found",
"message": "..."
}
}Workflows
Save the scene plan
An entry replaces that scene’s plan, null removes it, other scenes are kept. No base version needed. When a planned scene is generated, its prompt gets the heading and, when present is not empty, who is in frame.
PUT
/
v1
/
workflows
/
{id}
/
scene-plan
Save the scene plan
curl --request PUT \
--url https://lavendly.ai/api/v1/workflows/{id}/scene-plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"scenes": {}
}'import requests
url = "https://lavendly.ai/api/v1/workflows/{id}/scene-plan"
payload = { "scenes": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scenes: {}})
};
fetch('https://lavendly.ai/api/v1/workflows/{id}/scene-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lavendly.ai/api/v1/workflows/{id}/scene-plan",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'scenes' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lavendly.ai/api/v1/workflows/{id}/scene-plan"
payload := strings.NewReader("{\n \"scenes\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://lavendly.ai/api/v1/workflows/{id}/scene-plan")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scenes\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lavendly.ai/api/v1/workflows/{id}/scene-plan")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scenes\": {}\n}"
response = http.request(request)
puts response.read_body{
"workflow_id": "<string>",
"version": 123,
"scenes": {}
}{
"error": {
"code": "invalid_args",
"message": "..."
}
}{
"error": {
"code": "unauthenticated",
"message": "..."
}
}{
"error": {
"code": "viewer_read_only",
"message": "..."
}
}{
"error": {
"code": "workflow_not_found",
"message": "..."
}
}Was this page helpful?